﻿.faq-section {
    background: #F2F2F2;
    padding: 15px;
}

.accordion-body {
    word-wrap: break-word;
}

div#faq-container {
    max-width: 80% !important;
    widows: 80% !important;
    margin: 0 auto; /* Center the container */
}

#faqAccordion {
    column-count: 2;
    column-width: 50%;
    display: inherit;
}


@media(min-width:0px) and (max-width:900px) {
    #faqAccordion {
        column-count: 1;
        column-width: 1000%;
        display: inherit;
    }
}

#faqAccordion .col-lg-6 {
    width: 100%;
    margin-bottom: 15px;
    page-break-inside: avoid;
    break-inside: avoid;
}

.faq-search {
    margin-bottom: 20px;
}

.accordion {
    widows: 100%;
    /*            display: flex;*/
    flex-wrap: wrap; /* Allow wrapping of items */
    justify-content: space-between; /* Space items evenly */
}

.accordion-item {
    flex: 1 1 calc(50% - 10px); /* Two items per row with spacing */
    margin-bottom: 15px; /* Space between rows */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); /* Add some shadow for depth */
}

/* Responsive adjustments */
@media (max-width: 768px) {
    .accordion-item {
        flex: 1 1 100%; /* Full width on smaller screens */
    }
}

.accordion-button {
    font-weight: bold;
    background-color: #fefafa !important;
    outline: none !important;
    box-shadow: none !important;
}

.accordion-item {
    margin-bottom: 10px !important;
    border: none !important;
}

.faq-search {
    margin-top: 30px;
    margin-bottom: 30px;
    position: relative;
}

    .faq-search input {
        padding-left: 2.5rem;
    }

    .faq-search .fa-search {
        position: absolute;
        left: 10px;
        top: 50%;
        transform: translateY(-50%);
        color: #6c757d;
    }



h2 {
    font-weight: bold;
    color: #007DBA;
    font-size: 1.5rem;
    margin: 12px 0px;
}

.accordion-header {
    margin-top: 0px;
}

.faq-cards {
    padding: 0px;
    clear: both;
    margin-bottom: 30px;
}

    .faq-cards div {
        font-size: 1em !important;
        text-align: center;
    }

    .faq-cards > div > div {
        -webkit-box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.31);
        -moz-box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.31);
        box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.31);
        border-radius: 6px;
        margin: 10px 2px;
        padding: 10px 15px;
        background-color: #ffffff;
        cursor: pointer;
        width: 100%;
    }

        .faq-cards > div > div:hover {
            background-color: #f9f9f9
        }

            .faq-cards > div > div:hover i {
                color: #FF3F02
            }

        .faq-cards > div > div i {
            font-size: 1.5em;
            margin: 10px;
            color: #007DBA
        }


@media(max-width:900px) {

    .faq-cards > div > div {
        display: flex;
        flex-direction: row;
        justify-content: left;
        padding: 5px;
        margin: 5px;
        align-items: center;
    }

        .faq-cards > div > div br {
            display: none;
        }

        .faq-cards > div > div i {
            margin: inherit;
        }

    .faq-cards div {
        font-size: 0.8em !important;
        padding: 0px;
    }



    div#faq-container {
        max-width: 100% !important;
        widows: 100% !important;
        margin: 0 auto; /* Center the container */
    }

    #faqAccordion .col-lg-6 {
        margin: 0;
        padding: 0;
    }
}
